<?php 
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	  
	include_once '../config/database.php';
	include_once '../objects/staff.php'; 

	$database = new Database();
	$db = $database->getConnection();
	  
	$staff = new Staff($db); 

	$stmt = $staff->getAllRows();
	$num = $stmt->rowCount();

	$arr = array();
	$arr["records"] = array();

	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail = array(
				$id,
				$name,
				$join_date,
				$position,
				$dob,
				$nrc_no,
				$gender,
				$phone,
				$email,
				$address,
				$resign_date
			);
			array_push($arr["records"], $detail);
		}
	}
	echo json_encode($arr);
?>